> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geo-endpoints-for-spatial-data-access.md).

# Geo Endpoints for Spatial Data Access

{% hint style="success" %}
GeoPard uses <https://www.ogc.org/> Open GeoSpatial Consortium data formats like WMS for pictures and WFS for vector data. Also, we work with shapefiles for import and export. The engine is flexible to import and export in any of these data formats. For satellite imagery, we work with [COGs (Cloud Optimized Geotiffs)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
You have to install Postman to execute WMS/WFS requests.
{% endhint %}

{% hint style="info" %}
Every request has to be signed with HEADER "Authorization" (where the token must be put) or with the URL parameter "geopardApiKey " (where the user API key must be put).
{% endhint %}

WMS API endpoints are stored under "geoMaps" attributes of "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset", "YieldDataset" entities. Check [GeoPard DataScheme.](/geopard-tutorials/api-docs/geopard-api-data-schema.md)

WFS API endpoints are stored under "boundaryUrl", "zonesMapUrl", and "attributesUrl" of "Field", and "VectorAnalysisMap" entities.

{% hint style="info" %}
We recommend using the EPSG:900913 projection instead of EPSG:3857 to get more accurate images.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
